Summary:	A simple, vim-like file manager
Summary(hu.UTF-8):	Egyszerű, vim-szerű fájlkezelő
Name:		ranger
Version:	1.9.3
Release:	1
License:	GPL v3
Group:		Applications/Shells
Source0:	https://ranger.github.io/%{name}-%{version}.tar.gz
# Source0-md5:	d491987cd9fb06bee100264cfea55d26
URL:		https://ranger.github.io/
BuildRequires:	python-modules
BuildRequires:	python-setuptools
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
BuildRequires:	sed >= 4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A simple, vim-like file manager.

%description -l hu.UTF-8
Egyszerű, vim-szerű fájlkezelő.

%prep
%setup -q

%{__sed} -i -e '1s,/usr/bin/env bash,/bin/bash,' ranger/data/scope.sh

%build
%{__make} compile

%install
rm -rf $RPM_BUILD_ROOT

%py_install
%py_postclean

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

cp -p examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

rm -r $RPM_BUILD_ROOT%{_docdir}/ranger

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS CHANGELOG.md HACKING.md README.md doc/colorschemes.md doc/config doc/tools
%attr(755,root,root) %{_bindir}/%{name}
%attr(755,root,root) %{_bindir}/rifle
%{_desktopdir}/ranger.desktop
%if "%{py_ver}" > "2.4"
%{py_sitescriptdir}/ranger_fm-%{version}-py2.7.egg-info
%endif
%dir %{py_sitescriptdir}/ranger
%{py_sitescriptdir}/ranger/api
%{py_sitescriptdir}/ranger/colorschemes
%{py_sitescriptdir}/ranger/config
%{py_sitescriptdir}/ranger/container
%{py_sitescriptdir}/ranger/core
%dir %{py_sitescriptdir}/ranger/data
%{py_sitescriptdir}/ranger/data/mime.types
%attr(755,root,root) %{py_sitescriptdir}/ranger/data/scope.sh
%{py_sitescriptdir}/ranger/ext
%{py_sitescriptdir}/ranger/gui
%{py_sitescriptdir}/ranger/*.py[co]
%{_mandir}/man1/ranger.1*
%{_mandir}/man1/rifle.1*
%{_examplesdir}/%{name}-%{version}
%changelog
* Sun Feb 02 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ranger.git;a=log;h=master

* Wed Jan 29 2020 Jan Palus <atler@pld-linux.org> e0efa01
- up to 1.9.3

* Sun Nov 25 2018 Jan Palus <atler@pld-linux.org> 0e67219
- up to 1.9.2

* Sat Apr 14 2018 Jan Palus <atler@pld-linux.org> bab7586
- up to 1.9.1

* Tue May 19 2015 Jan Palus <atler@pld-linux.org> 894b94c
- up to 1.7.1

* Tue Mar 19 2013 Jan Palus <jan.palus@gmail.com> 8427e92
- up to 1.6.0

* Tue Aug 28 2012 Jan Palus <jan.palus@gmail.com> 04ef634
- up to 1.5.5
- rel 1

* Tue Mar 13 2012 Jan Palus <jan.palus@gmail.com> 14d41d9
- up to 1.5.3

* Sat Mar 03 2012 Jan Palus <jan.palus@gmail.com> 5f92954
- tabs

* Sat Feb 05 2011 Zsolt Udvari <uzsolt@pld-linux.org> 1c815db
- initial

